# Generated by Django 4.2.7 on 2024-02-05 04:05

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='Usuario',
            fields=[
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('Nombres', models.CharField(max_length=100, verbose_name='Nombres')),
                ('Apellidos', models.CharField(max_length=100, verbose_name='Apellidos')),
                ('Celular', models.CharField(max_length=20, verbose_name='Celular')),
                ('Email', models.EmailField(max_length=100, verbose_name='Email')),
                ('Cedula', models.CharField(max_length=20, unique=True, verbose_name='Cedula')),
                ('password', models.CharField(max_length=100, verbose_name='Password')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Almacen',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('Cod_Producto', models.CharField(max_length=20, unique=True)),
                ('Fecha_ingreso', models.DateField()),
                ('Fecha_Devolucion', models.DateField(null=True)),
                ('categoria', models.CharField(max_length=100, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Garantia',
            fields=[
                ('id_Garantia', models.BigAutoField(primary_key=True, serialize=False)),
                ('Cod_Producto', models.ForeignKey(max_length=50, on_delete=django.db.models.deletion.RESTRICT, related_name='id_Cod_Producto', to='ccoApp.almacen')),
                ('Id_Usuario', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, related_name='Id_Usuario', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Pqr',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('fecha_devolucion', models.DateField(null=True)),
                ('fecha_creacion', models.DateField()),
                ('observacion', models.CharField(max_length=200, null=True)),
                ('contenido', models.CharField(max_length=200)),
                ('estado', models.CharField(choices=[('ABIERTA', 'ABIERTA'), ('CERRADA', 'CERRADA'), ('EN PROCESO', 'EN PROCESO')], default='ABIERTA', max_length=10)),
                ('tipo_pqr', models.CharField(choices=[('PQR', 'PQR'), ('GARANTIA', 'GARANTIA')], default='PQR', max_length=10)),
                ('id_garantia', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='Id_Garantia', to='ccoApp.garantia')),
                ('usuario_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='id_Usuario', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Rol',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False, verbose_name='Identificador único Rol de usuarios')),
                ('Nombre_Rol', models.CharField(max_length=50, verbose_name='Nombre del rol')),
            ],
        ),
        migrations.CreateModel(
            name='Respuesta',
            fields=[
                ('id_respuesta', models.AutoField(primary_key=True, serialize=False)),
                ('respuesta', models.CharField(blank=True, max_length=200, null=True)),
                ('pqr', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='id_PQR', to='ccoApp.pqr')),
            ],
        ),
        migrations.AddField(
            model_name='usuario',
            name='Rol',
            field=models.ForeignKey(choices=[('1', 'Admin'), ('2', 'User')], default='2', on_delete=django.db.models.deletion.RESTRICT, related_name='id_Rol', to='ccoApp.rol'),
        ),
        migrations.AddField(
            model_name='usuario',
            name='groups',
            field=models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.group', verbose_name='groups'),
        ),
        migrations.AddField(
            model_name='usuario',
            name='user_permissions',
            field=models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.permission', verbose_name='user permissions'),
        ),
    ]
